org.springframework.cloud.dataflow.server.config

## Class VersionInfoProperties.Dependencies

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.VersionInfoProperties.Dependencies

- Enclosing class:
    VersionInfoProperties

      public static class VersionInfoProperties.Dependencies
      extends Object

  The dependencies that will be returned by the about controller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dependencies()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VersionInfoProperties.DependencyAboutInfo` | `getSpringCloudDataflowCore()`
    `VersionInfoProperties.DependencyAboutInfo` | `getSpringCloudDataflowDashboard()`
    `VersionInfoProperties.DependencyAboutInfo` | `getSpringCloudDataflowImplementation()`
    `VersionInfoProperties.DependencyAboutInfo` | `getSpringCloudDataflowShell()`
    `void` | `setSpringCloudDataflowCore(VersionInfoProperties.DependencyAboutInfo springCloudDataflowCore)` Establish the `VersionInfoProperties.DependencyAboutInfo` for the core.
    `void` | `setSpringCloudDataflowDashboard(VersionInfoProperties.DependencyAboutInfo springCloudDataflowDashboard)` Establish the `VersionInfoProperties.DependencyAboutInfo` for the dashboard.
    `void` | `setSpringCloudDataflowImplementation(VersionInfoProperties.DependencyAboutInfo springCloudDataflowImplementation)` Establish the `VersionInfoProperties.DependencyAboutInfo` for the implementation.
    `void` | `setSpringCloudDataflowShell(VersionInfoProperties.DependencyAboutInfo springCloudDataflowShell)` Establish the `VersionInfoProperties.DependencyAboutInfo` for the shell.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dependencies

          public Dependencies()

  - ### Method Detail

    - #### getSpringCloudDataflowShell

          public VersionInfoProperties.DependencyAboutInfo getSpringCloudDataflowShell()

      Returns:
        `VersionInfoProperties.DependencyAboutInfo` for the shell.

    - #### setSpringCloudDataflowShell

          public void setSpringCloudDataflowShell(VersionInfoProperties.DependencyAboutInfo springCloudDataflowShell)

      Establish the `VersionInfoProperties.DependencyAboutInfo` for the shell.
      Parameters:
        `springCloudDataflowShell` - the `VersionInfoProperties.DependencyAboutInfo` containing information about the shell.

    - #### getSpringCloudDataflowCore

          public VersionInfoProperties.DependencyAboutInfo getSpringCloudDataflowCore()

      Returns:
        `VersionInfoProperties.DependencyAboutInfo` for the core.

    - #### setSpringCloudDataflowCore

          public void setSpringCloudDataflowCore(VersionInfoProperties.DependencyAboutInfo springCloudDataflowCore)

      Establish the `VersionInfoProperties.DependencyAboutInfo` for the core.
      Parameters:
        `springCloudDataflowCore` - the `VersionInfoProperties.DependencyAboutInfo` containing information about the core.

    - #### getSpringCloudDataflowDashboard

          public VersionInfoProperties.DependencyAboutInfo getSpringCloudDataflowDashboard()

      Returns:
        `VersionInfoProperties.DependencyAboutInfo` for the dashboard.

    - #### setSpringCloudDataflowDashboard

          public void setSpringCloudDataflowDashboard(VersionInfoProperties.DependencyAboutInfo springCloudDataflowDashboard)

      Establish the `VersionInfoProperties.DependencyAboutInfo` for the dashboard.
      Parameters:
        `springCloudDataflowDashboard` - the `VersionInfoProperties.DependencyAboutInfo` containing information about the dashboard.

    - #### getSpringCloudDataflowImplementation

          public VersionInfoProperties.DependencyAboutInfo getSpringCloudDataflowImplementation()

      Returns:
        `VersionInfoProperties.DependencyAboutInfo` for the implementation.

    - #### setSpringCloudDataflowImplementation

          public void setSpringCloudDataflowImplementation(VersionInfoProperties.DependencyAboutInfo springCloudDataflowImplementation)

      Establish the `VersionInfoProperties.DependencyAboutInfo` for the implementation.
      Parameters:
        `springCloudDataflowImplementation` - the `VersionInfoProperties.DependencyAboutInfo` containing information about the implementation.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.